{ pkgs, ... }: {
  programs = {   
    home-manager.enable = true;

    bat = {
      enable = true;
    };

    less = {
      enable = true;
    };

    direnv = {
      enable = true;
      enableZshIntegration = true;
    };
    
    thefuck = {
      enable = true;
      enableZshIntegration = true;
    };

    eza = {
      enable = true;
      enableAliases = true;
      git = true;
      icons = true;
    };

    yazi = {
      enable = true;
      enableZshIntegration = true;
    };

    ssh = {
      enable = true;
      package = pkgs.openssh;
      matchBlocks = {
        "git-ssh.sense-t.eu.org" = {
          hostname = "gitea.default";
        };
        "nas" = {
          hostname = "192.168.1.25";
          user = "rouji";
          port = 2334;
        };
      };
    };

    go = {
      enable = false;
      goPath = ".local/go";
    };

    git = {
      enable = true;
      userName = "Sense T";
      userEmail = "me@sense-t.eu.org";

      ignores = [
        ".DS_Store"
        "*~"
        "*.swp"
      ];
    };

    vim = {
      enable = true;
      defaultEditor = true;
    };

    zsh = {
      enable = true;
      enableAutosuggestions = true;
      syntaxHighlighting.enable = true;
      enableVteIntegration = true;

      oh-my-zsh = {
        enable = true;
        plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "pip" "npm" "yarn" "vscode" "rust" ];
        theme = "fishy";
      };

      profileExtra = ''
        source .profile
      '';
    };
  };
}
